<html>
<head>
<title>OGRE: Ogre::SceneManagerEnumerator Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a></div>
<h1>Ogre::SceneManagerEnumerator Class Reference</h1><!-- doxytag: class="Ogre::SceneManagerEnumerator" --><!-- doxytag: inherits="Ogre::Singleton" -->Enumerates the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> classes available to applications.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneManagerEnumerator:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1SceneManagerEnumerator-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b97d2f08984d72f3feca11b4ade4c252">Instances</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scene manager instances, indexed by instance name.  <a href="#b97d2f08984d72f3feca11b4ade4c252"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; const <br>
<a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#2f7852dbcd5c15830c2610c823fdefdb">MetaDataList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of available scene manager types as meta data.  <a href="#2f7852dbcd5c15830c2610c823fdefdb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#2f7852dbcd5c15830c2610c823fdefdb">MetaDataList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ba1ede3f8195a234c286f372ef181ce0">MetaDataIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b97d2f08984d72f3feca11b4ade4c252">Instances</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#d27d358bd89b7b44a8b360ce36df3aaa">SceneManagerIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#e9f329de24a59f62fc305723f6fbde46">SceneManagerEnumerator</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#e0b6596c1aa9ca66b44b9db6c5781526">~SceneManagerEnumerator</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#c73478338f38ccf1e5779ef173759111">addFactory</a> (<a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *fact)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Register a new <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>.  <a href="#c73478338f38ccf1e5779ef173759111"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#cb458bf3cd09c21f35d38c5919926acf">removeFactory</a> (<a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *fact)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>.  <a href="#cb458bf3cd09c21f35d38c5919926acf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#8a380b4d3c7d410358c800fed236a5ca">getMetaData</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get more information about a given type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="#8a380b4d3c7d410358c800fed236a5ca"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ConstVectorIterator.html">MetaDataIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#6249e163c0bd840f77e7df3f67904daf">getMetaDataIterator</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterate over all types of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> available for construction, providing some information about each one.  <a href="#6249e163c0bd840f77e7df3f67904daf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#97e10c46bc45a4f86f17ed6496b4aec2">createSceneManager</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName=<a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance of a given type.  <a href="#97e10c46bc45a4f86f17ed6496b4aec2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#509c915293734c266aa187c3ba722c81">createSceneManager</a> (<a class="el" href="namespaceOgre.html#a4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a> typeMask, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName=<a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance based on scene type support.  <a href="#509c915293734c266aa187c3ba722c81"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#949f76dbb289634b7f9b064131f015d5">destroySceneManager</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroy an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="#949f76dbb289634b7f9b064131f015d5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b2a6f231805a893dfff2eabc494b21ce">getSceneManager</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance that has already been created, identified by the instance name.  <a href="#b2a6f231805a893dfff2eabc494b21ce"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">SceneManagerIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#5bb43dcf8988708ce05c1e4f303066d1">getSceneManagerIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over all the existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instances.  <a href="#5bb43dcf8988708ce05c1e4f303066d1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#dec389e756f0800fee80a23c740fea3a">setRenderSystem</a> (<a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notifies all SceneManagers of the destination rendering system.  <a href="#dec389e756f0800fee80a23c740fea3a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#f4ced44d3cf71a08ea0e8c4d807b32ce">shutdownAll</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method to control shutdown of the managers.  <a href="#f4ced44d3cf71a08ea0e8c4d807b32ce"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#137cf67285fc6ea14574db3dcf181d46">getSingleton</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#137cf67285fc6ea14574db3dcf181d46"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#85109f580da806433a363792a7233fe4">getSingletonPtr</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#85109f580da806433a363792a7233fe4"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td></tr>

<tr><td colspan="2"><br><h2>Private Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; <a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#14fdb5ced550f83875c3a04747aa90bd">Factories</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scene manager factories.  <a href="#14fdb5ced550f83875c3a04747aa90bd"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#14fdb5ced550f83875c3a04747aa90bd">Factories</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b1a2d0123b64f95a29460d176b36d971">mFactories</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b97d2f08984d72f3feca11b4ade4c252">Instances</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#94dbb182944a32cf82137b253351d8ee">mInstances</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#2f7852dbcd5c15830c2610c823fdefdb">MetaDataList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#966292fbcb304e584f411075f95cf5b2">mMetaDataList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stored separately to allow iteration.  <a href="#966292fbcb304e584f411075f95cf5b2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html">DefaultSceneManagerFactory</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#6246f52d458fd225d38ac5341ea0385e">mDefaultFactory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Factory for default scene manager.  <a href="#6246f52d458fd225d38ac5341ea0385e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#7742ef989061d92dc8ad9a5c12dedc7e">mInstanceCreateCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count of creations for auto-naming.  <a href="#7742ef989061d92dc8ad9a5c12dedc7e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#3cc008e5a1a0c9cdb40ea466edde6f34">mCurrentRenderSystem</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Currently assigned render system.  <a href="#3cc008e5a1a0c9cdb40ea466edde6f34"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Enumerates the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> classes available to applications. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>As described in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> class, SceneManagers are responsible for organising the scene and issuing rendering commands to the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>. Certain scene types can benefit from different rendering approaches, and it is intended that subclasses will be created to special case this. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>In order to give applications easy access to these implementations, this class has a number of methods to create or retrieve a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> which is appropriate to the scene type. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>SceneManagers are created by <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a> instances. New factories for new types of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> can be registered with this class to make them available to clients. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Note that you can still plug in your own custom <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> without using a factory, should you choose, it's just not as flexible that way. Just instantiate your own <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> manually and use it directly. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00082">82</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="b97d2f08984d72f3feca11b4ade4c252"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::Instances" ref="b97d2f08984d72f3feca11b4ade4c252" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>*&gt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b97d2f08984d72f3feca11b4ade4c252">Ogre::SceneManagerEnumerator::Instances</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Scene manager instances, indexed by instance name. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00086">86</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2f7852dbcd5c15830c2610c823fdefdb"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::MetaDataList" ref="2f7852dbcd5c15830c2610c823fdefdb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;const <a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a>*&gt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#2f7852dbcd5c15830c2610c823fdefdb">Ogre::SceneManagerEnumerator::MetaDataList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List of available scene manager types as meta data. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00088">88</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="14fdb5ced550f83875c3a04747aa90bd"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::Factories" ref="14fdb5ced550f83875c3a04747aa90bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::list&lt;<a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a>*&gt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#14fdb5ced550f83875c3a04747aa90bd">Ogre::SceneManagerEnumerator::Factories</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Scene manager factories. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00091">91</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba1ede3f8195a234c286f372ef181ce0"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::MetaDataIterator" ref="ba1ede3f8195a234c286f372ef181ce0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a>&lt;<a class="el" href="classOgre_1_1SceneManagerEnumerator.html#2f7852dbcd5c15830c2610c823fdefdb">MetaDataList</a>&gt; <a class="el" href="classOgre_1_1ConstVectorIterator.html">Ogre::SceneManagerEnumerator::MetaDataIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00129">129</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d27d358bd89b7b44a8b360ce36df3aaa"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::SceneManagerIterator" ref="d27d358bd89b7b44a8b360ce36df3aaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b97d2f08984d72f3feca11b4ade4c252">Instances</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::SceneManagerEnumerator::SceneManagerIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00173">173</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e9f329de24a59f62fc305723f6fbde46"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::SceneManagerEnumerator" ref="e9f329de24a59f62fc305723f6fbde46" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SceneManagerEnumerator::SceneManagerEnumerator           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="e0b6596c1aa9ca66b44b9db6c5781526"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::~SceneManagerEnumerator" ref="e0b6596c1aa9ca66b44b9db6c5781526" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SceneManagerEnumerator::~SceneManagerEnumerator           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="c73478338f38ccf1e5779ef173759111"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::addFactory" ref="c73478338f38ccf1e5779ef173759111" args="(SceneManagerFactory *fact)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManagerEnumerator::addFactory           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *&nbsp;</td>
          <td class="paramname"> <em>fact</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Register a new <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Plugins should call this to register as new <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> providers. </dd></dl>

</div>
</div><p>
<a class="anchor" name="cb458bf3cd09c21f35d38c5919926acf"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::removeFactory" ref="cb458bf3cd09c21f35d38c5919926acf" args="(SceneManagerFactory *fact)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManagerEnumerator::removeFactory           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *&nbsp;</td>
          <td class="paramname"> <em>fact</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="8a380b4d3c7d410358c800fed236a5ca"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getMetaData" ref="8a380b4d3c7d410358c800fed236a5ca" args="(const String &amp;typeName) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a>* Ogre::SceneManagerEnumerator::getMetaData           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>typeName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get more information about a given type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The metadata returned tells you a few things about a given type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>, which can be created using a factory that has been registered already. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>typeName</em>&nbsp;</td><td>The type name of the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> you want to enquire on. If you don't know the typeName already, you can iterate over the metadata for all types using getMetaDataIterator. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="6249e163c0bd840f77e7df3f67904daf"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getMetaDataIterator" ref="6249e163c0bd840f77e7df3f67904daf" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConstVectorIterator.html">MetaDataIterator</a> Ogre::SceneManagerEnumerator::getMetaDataIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Iterate over all types of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> available for construction, providing some information about each one. 
<p>

</div>
</div><p>
<a class="anchor" name="97e10c46bc45a4f86f17ed6496b4aec2"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::createSceneManager" ref="97e10c46bc45a4f86f17ed6496b4aec2" args="(const String &amp;typeName, const String &amp;instanceName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* Ogre::SceneManagerEnumerator::createSceneManager           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>typeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance of a given type. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can use this method to create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance of a given specific type. You may know this type already, or you may have discovered it by looking at the results from getMetaDataIterator. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method throws an exception if the named type is not found. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>typeName</em>&nbsp;</td><td>String identifying a unique <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> type </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>instanceName</em>&nbsp;</td><td>Optional name to given the new instance that is created. If you leave this blank, an auto name will be assigned. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="509c915293734c266aa187c3ba722c81"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::createSceneManager" ref="509c915293734c266aa187c3ba722c81" args="(SceneTypeMask typeMask, const String &amp;instanceName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* Ogre::SceneManagerEnumerator::createSceneManager           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a>&nbsp;</td>
          <td class="paramname"> <em>typeMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance based on scene type support. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Creates an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> which supports the scene types identified in the parameter. If more than one type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> has been registered as handling that combination of scene types, in instance of the last one registered is returned. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>This method always succeeds, if a specific scene manager is not found, the default implementation is always returned. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>typeMask</em>&nbsp;</td><td>A mask containing one or more SceneType flags </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>instanceName</em>&nbsp;</td><td>Optional name to given the new instance that is created. If you leave this blank, an auto name will be assigned. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="949f76dbb289634b7f9b064131f015d5"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::destroySceneManager" ref="949f76dbb289634b7f9b064131f015d5" args="(SceneManager *sm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManagerEnumerator::destroySceneManager           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>sm</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroy an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="b2a6f231805a893dfff2eabc494b21ce"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSceneManager" ref="b2a6f231805a893dfff2eabc494b21ce" args="(const String &amp;instanceName) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* Ogre::SceneManagerEnumerator::getSceneManager           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>instanceName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance that has already been created, identified by the instance name. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>instanceName</em>&nbsp;</td><td>The name of the instance to retrieve. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="5bb43dcf8988708ce05c1e4f303066d1"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSceneManagerIterator" ref="5bb43dcf8988708ce05c1e4f303066d1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">SceneManagerIterator</a> Ogre::SceneManagerEnumerator::getSceneManagerIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over all the existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instances. 
<p>

</div>
</div><p>
<a class="anchor" name="dec389e756f0800fee80a23c740fea3a"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::setRenderSystem" ref="dec389e756f0800fee80a23c740fea3a" args="(RenderSystem *rs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManagerEnumerator::setRenderSystem           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&nbsp;</td>
          <td class="paramname"> <em>rs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notifies all SceneManagers of the destination rendering system. 
<p>

</div>
</div><p>
<a class="anchor" name="f4ced44d3cf71a08ea0e8c4d807b32ce"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::shutdownAll" ref="f4ced44d3cf71a08ea0e8c4d807b32ce" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManagerEnumerator::shutdownAll           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method to control shutdown of the managers. 
<p>

</div>
</div><p>
<a class="anchor" name="137cf67285fc6ea14574db3dcf181d46"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSingleton" ref="137cf67285fc6ea14574db3dcf181d46" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a>&amp; Ogre::SceneManagerEnumerator::getSingleton           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="85109f580da806433a363792a7233fe4"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSingletonPtr" ref="85109f580da806433a363792a7233fe4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a>* Ogre::SceneManagerEnumerator::getSingletonPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b1a2d0123b64f95a29460d176b36d971"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mFactories" ref="b1a2d0123b64f95a29460d176b36d971" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#14fdb5ced550f83875c3a04747aa90bd">Factories</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b1a2d0123b64f95a29460d176b36d971">Ogre::SceneManagerEnumerator::mFactories</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00092">92</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94dbb182944a32cf82137b253351d8ee"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mInstances" ref="94dbb182944a32cf82137b253351d8ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b97d2f08984d72f3feca11b4ade4c252">Instances</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#94dbb182944a32cf82137b253351d8ee">Ogre::SceneManagerEnumerator::mInstances</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00093">93</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="966292fbcb304e584f411075f95cf5b2"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mMetaDataList" ref="966292fbcb304e584f411075f95cf5b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#2f7852dbcd5c15830c2610c823fdefdb">MetaDataList</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#966292fbcb304e584f411075f95cf5b2">Ogre::SceneManagerEnumerator::mMetaDataList</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Stored separately to allow iteration. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00095">95</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6246f52d458fd225d38ac5341ea0385e"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mDefaultFactory" ref="6246f52d458fd225d38ac5341ea0385e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html">DefaultSceneManagerFactory</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#6246f52d458fd225d38ac5341ea0385e">Ogre::SceneManagerEnumerator::mDefaultFactory</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Factory for default scene manager. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00097">97</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7742ef989061d92dc8ad9a5c12dedc7e"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mInstanceCreateCount" ref="7742ef989061d92dc8ad9a5c12dedc7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#7742ef989061d92dc8ad9a5c12dedc7e">Ogre::SceneManagerEnumerator::mInstanceCreateCount</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Count of creations for auto-naming. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00099">99</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3cc008e5a1a0c9cdb40ea466edde6f34"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mCurrentRenderSystem" ref="3cc008e5a1a0c9cdb40ea466edde6f34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#3cc008e5a1a0c9cdb40ea466edde6f34">Ogre::SceneManagerEnumerator::mCurrentRenderSystem</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Currently assigned render system. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h-source.html#l00101">101</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d36ac06b409a2d580217328ef2cd3a01"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::ms_Singleton" ref="d36ac06b409a2d580217328ef2cd3a01" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSingleton_8h-source.html#l00061">61</a> of file <a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h-source.html#l00076">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00078">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00064">Ogre::Singleton&lt; Ogre::FontManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h-source.html#l00074">Ogre::Singleton&lt; Ogre::FontManager &gt;::~Singleton()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManagerEnumerator_8h-source.html">OgreSceneManagerEnumerator.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:18 2008
</p>
</body>
</html>
